- block:
  - name: check mds-install service
    community.docker.docker_swarm_info:
      tasks: yes
      tasks_filters:
        name: mds-install.1.
    register: wait_service_tasks

  - debug:
      var: wait_service_tasks.tasks

  - name: set container status
    ansible.builtin.set_fact:
      wait_service_status: not done
    when: wait_service_status is undefined and wait_service_tasks.tasks | count == 0
    
  - name: set container status 2
    ansible.builtin.set_fact:  
      wait_service_status: "{{ wait_service_tasks.tasks[0].CurrentState }}"
    when: wait_service_tasks.tasks | count > 0 and wait_service_tasks.tasks[0].CurrentState is defined

  - debug:
      var: wait_service_status

  - name: set wait time
    ansible.builtin.set_fact:
      wait_service_time: "{{ wait_service_status is in terminate_states | ternary(0, 5) }}"
  
  - debug:
      var: wait_service_time
  
  - name: wait
    ansible.builtin.wait_for:
      timeout: "{{ wait_service_time }}"
    when: wait_service_time | int > 0  

  run_once: yes
  delegate_to: "{{ main_server }}"
  when: wait_service_status | d('') is not in terminate_states
  vars:
    terminate_states: "{{ [ 'complete', 'failed' ] }}"
